<?php
header('Content-Type: text/plain');
$dir = '/Applications/XAMPP/xamppfiles/htdocs/ERP/assets/pass_images/';

echo "Testing image access:\n";
echo "Directory exists: " . (file_exists($dir) ? 'YES' : 'NO') . "\n";
echo "Directory readable: " . (is_readable($dir) ? 'YES' : 'NO') . "\n\n";

$files = ['icon.png', 'icon@2x.png', 'logo.png', 'logo@2x.png'];
foreach ($files as $file) {
    $path = $dir . $file;
    echo "Checking: $file\n";
    echo "Exists: " . (file_exists($path) ? 'YES' : 'NO') . "\n";
    echo "Readable: " . (is_readable($path) ? 'YES' : 'NO') . "\n";
    echo "Size: " . filesize($path) . " bytes\n";
    echo "Permissions: " . substr(sprintf('%o', fileperms($path)), -4) . "\n\n";
}