<?php
// Start output buffering
ob_start();

// Enable error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Start session
session_start();

echo "<h1>Session Test</h1>";

// Set a test session variable
$_SESSION['test'] = 'Test value: ' . time();

echo "<p>Session variable set. Current value: " . $_SESSION['test'] . "</p>";
echo "<p><a href='test_session.php'>Refresh</a> to see if session persists.</p>";

// Output session info
echo "<h2>Session Information</h2>";
echo "<pre>";
echo "Session ID: " . session_id() . "\n";
echo "Session status: " . session_status() . "\n";
echo "Session variables: \n";
print_r($_SESSION);
echo "</pre>";

// Flush output buffer
ob_end_flush();
?> 